
TYPO3.Flow - Feature # 26945

Status: Resolved Priority: Should have
Author: Christian Müller Category: MVC
Created: 2011-05-20 Assigned To: Christian Müller
Updated: 2011-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Rewrite flashMessages to have similar functionality as in v4
Description

Related issues:
related to TYPO3.Flow - Feature # 8865: FlashMessage should become an object Resolved
blocks Conference Management - Story # 26946: flashMessages should be styled ... Resolved 2011-05-20
blocks Core - Feature # 7098: $flashMessages should have a condition ... Under Review 2010-04-01

Associated revisions
Revision 4db8b119 - 2011-06-27 16:29 - Christian Müller

[TASK] Use Message objects for flashMessages

With this change a flashMessage will be an object of a certain type so
different types of messages are possible, additionally the use of
message arguments and specifing the message as possible label makes
translation possible.

Change-Id: Iee1a6a1890af21d4cfaebe9cf3ee5495ba88658a
Resolves: #26945

Revision 7764392d - 2011-08-26 16:52 - Christian Müller

[TASK] Use Message objects for flashMessages

With this change a flashMessage will be an object of a certain type so
different types of messages are possible, additionally the use of
message arguments and specifing the message as possible label makes
translation possible.

Change-Id: If8879948a3904ad73f0865ac3157ed33910e83a0
Resolves: #26945

History
#1 - 2011-05-31 12:28 - Mr. Hudson

Patch set 1 of change Iee1a6a1890af21d4cfaebe9cf3ee5495ba88658a has been pushed to the review server.
It is available at http://review.typo3.org/2455

#2 - 2011-05-31 12:45 - Mr. Hudson
Patch set 2 of change Iee1a6a1890af21d4cfaebe9cf3ee5495ba88658a has been pushed to the review server.
It is available at http://review.typo3.org/2455

#3 - 2011-06-08 20:19 - Mr. Hudson

Patch set 3 of change Iee1a6a1890af21d4cfaebe9cf3ee5495ba88658a has been pushed to the review server.
It is available at http://review.typo3.org/2455

#4 - 2011-06-09 17:31 - Mr. Hudson

Patch set 4 of change Iee1a6a1890af21d4cfaebe9cf3ee5495ba88658a has been pushed to the review server.
It is available at http://review.typo3.org/2455

#5 - 2011-06-09 18:24 - Mr. Hudson

Patch set 5 of change Iee1a6a1890af21d4cfaebe9cf3ee5495ba88658a has been pushed to the review server.
It is available at http://review.typo3.org/2455

#6 - 2011-06-17 23:16 - Mr. Hudson

Patch set 6 of change Iee1a6a1890af21d4cfaebe9cf3ee5495ba88658a has been pushed to the review server.
It is available at http://review.typo3.org/2455

#7 - 2011-06-27 15:45 - Karsten Dambekalns
- Category set to MVC
- Status changed from New to Accepted
- Assigned To set to Christian Müller
- Target version set to 1230

#8 - 2011-06-27 16:29 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 7 of change Iee1a6a1890af21d4cfaebe9cf3ee5495ba88658a has been pushed to the review server.
It is available at http://review.typo3.org/2455

#9 - 2011-07-01 12:06 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:4db8b1192cfa7eddb5de6d995ec6e48edc806ede.

#10 - 2011-07-06 16:00 - Karsten Dambekalns
- Status changed from Resolved to Under Review
#11 - 2011-08-23 19:58 - Mr. Hudson

Patch set 2 of change If8879948a3904ad73f0865ac3157ed33910e83a0 has been pushed to the review server.
It is available at http://review.typo3.org/3029

#12 - 2011-08-24 11:38 - Mr. Hudson

Patch set 3 of change If8879948a3904ad73f0865ac3157ed33910e83a0 has been pushed to the review server.
It is available at http://review.typo3.org/3029

#13 - 2011-08-24 11:40 - Mr. Hudson

Patch set 4 of change If8879948a3904ad73f0865ac3157ed33910e83a0 has been pushed to the review server.
It is available at http://review.typo3.org/3029

#14 - 2011-08-24 16:48 - Mr. Hudson

Patch set 5 of change If8879948a3904ad73f0865ac3157ed33910e83a0 has been pushed to the review server.
It is available at http://review.typo3.org/3029

#15 - 2011-08-24 16:59 - Mr. Hudson

Patch set 6 of change If8879948a3904ad73f0865ac3157ed33910e83a0 has been pushed to the review server.
It is available at http://review.typo3.org/3029

#16 - 2011-08-25 11:33 - Mr. Hudson

Patch set 7 of change If8879948a3904ad73f0865ac3157ed33910e83a0 has been pushed to the review server.
It is available at http://review.typo3.org/3029

#17 - 2011-08-26 10:14 - Mr. Hudson

Patch set 8 of change If8879948a3904ad73f0865ac3157ed33910e83a0 has been pushed to the review server.
It is available at http://review.typo3.org/3029

#18 - 2011-08-26 15:06 - Mr. Hudson

Patch set 9 of change If8879948a3904ad73f0865ac3157ed33910e83a0 has been pushed to the review server.
It is available at http://review.typo3.org/3029

#19 - 2011-08-26 15:10 - Mr. Hudson

Patch set 10 of change If8879948a3904ad73f0865ac3157ed33910e83a0 has been pushed to the review server.
It is available at http://review.typo3.org/3029
#20 - 2011-08-26 16:39 - Mr. Hudson

Patch set 11 of change If8879948a3904ad73f0865ac3157ed33910e83a0 has been pushed to the review server.
It is available at http://review.typo3.org/3029

#21 - 2011-08-26 16:52 - Mr. Hudson

Patch set 13 of change If8879948a3904ad73f0865ac3157ed33910e83a0 has been pushed to the review server.
It is available at http://review.typo3.org/3029

#22 - 2011-08-26 17:05 - Christian Müller
- Status changed from Under Review to Resolved

Applied in changeset commit:7764392dcf0aec8d77b526df8a6df0f90f5f3741.

#23 - 2011-10-20 01:37 - Karsten Dambekalns
- Target version changed from 1230 to 1.0.0
